<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from compdiv_smithR.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="compdiv_smithR" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>compdiv_smithR</refname><refpurpose>Performs complex division with a Smith method, as implemented in R.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   z = compdiv_smithR (x,y)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a matrix of complex doubles</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a matrix of complex doubles</para></listitem></varlistentry>
   <varlistentry><term>z :</term>
      <listitem><para> a matrix of complex doubles, the complex division result z=x/y.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This algorithms uses Smith's method and performs additionnal up and down scaling.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
expected = 11/25 + %i * 2/25
compdiv_smithR ( 1+2*%i , 3+4*%i )

x = rand(3,5)+%i*rand(3,5)
y = rand(3,5)+%i*rand(3,5)
r = compdiv_smithR ( x , y )
abs(r.*y - x)./abs(x)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>svn.r-project.org/R/trunk/src/main/complex.c, Robert Gentleman, Ross Ihaka, The R Development Core Team, The R Foundation</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
